summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-12-01 12:45:40 +0100
committerLars Wendler <polynomial-c@gentoo.org>2017-12-01 12:47:37 +0100
commitf3e2df9c07bde91eb7e83fe987021913bde4425d (patch)
tree68aa431faec9e04c4356156c4d72ba599d3cdb8c /media-sound
parentdev-libs/beignet-1.3.2: fix propagation of multilib USE flags to deps (diff)
downloadgentoo-f3e2df9c07bde91eb7e83fe987021913bde4425d.tar.gz
gentoo-f3e2df9c07bde91eb7e83fe987021913bde4425d.tar.bz2
gentoo-f3e2df9c07bde91eb7e83fe987021913bde4425d.zip
media-sound/grip: Bump to version 3.6.2
Package-Manager: Portage-2.3.16, Repoman-2.3.6
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/grip/Manifest1
-rw-r--r--media-sound/grip/grip-3.6.2.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/media-sound/grip/Manifest b/media-sound/grip/Manifest
index 42b5f147479..734e94d7c4c 100644
--- a/media-sound/grip/Manifest
+++ b/media-sound/grip/Manifest
@@ -2,3 +2,4 @@ DIST grip-3.3.1.tar.gz 812562 SHA256 d46394a1062ed066f9c633b010fd1059e63d9ed791b
DIST grip-3.4.3.tar.gz 740870 SHA256 34b7dd9f8c904f8f1984f691b3bfc62a68979eef62ab4e638817afedcc2fde0c SHA512 e7690cfe375de525f7dde7cc4d64ac9577f702a58bbd2cc1aa318dba58b208a8affe9e8e07078d6a16ba1340b0bd17edce1c8cf750631c8d677a3bd2679bb361 WHIRLPOOL fe1465d60cb850e0eb9bfdafe288ee66e8527b9ad41e2cf4d4dfda21a972d9bd9f1fd69d23cb8d3873109a805c4dc9d571f68e8a7f9edfd97acdb7f2837cc1bf
DIST grip-3.5.2.tar.gz 952153 SHA256 aa67931ef3a80ef57351d487be2210b2f7030a16b41ff2f38d22ccc76d7f89b7 SHA512 25fbc1aadfcbab57ae585afe0a6663d9640a3614c1b655abd238f272116eccf524e4de465784265cd1f12b48c4cdeb9fdd318f989052400a0bfc9855a5420421 WHIRLPOOL cc883036a3a4a2073eb9d14c53f53e26ae568be81e0f21e709031586b5b541c04d03cd251bd99eb66bfda86fdf1167a6b1838517c85b89b1fa6acb72cd94e588
DIST grip-3.6.1.tar.gz 958967 SHA256 88a7a1193de74ce65968106a1b48b62a3171aaeabb1a5edae9d0308e901d5e28 SHA512 ebb0945833189b17d814fee9a68acf25786f83fa7d1e47523512b25c1ef9d146d5d218c8422c7b37fbb7cf63558cc093795ef4078639f8e35c9947d76d6d2fcf WHIRLPOOL a8b5cf838d205ce32ccf78df9df04f50c1095d87b0d61e44c9cfb7e661345c737173df968f5cafa2492e7a6a66b474ad00ce6a0922d41253d767cf880c61fa80
+DIST grip-3.6.2.tar.gz 959393 BLAKE2B 09f7c6bbd5e82ada26795f082feb0d35cd21e14bac0e5881502c65d1e64f501eb086d5843b5120408186435ce6a95771bcf94972881fc449d4c4c2130f929066 SHA512 8aba6dbf4cb374dbe76fb5358f4b550187840a1248f9a60d8441a123ad5abe49d6fe4bcd491047d19432dd90a6dbd9060737f9e2ba19fa60e5e4c50ec5fd8cf8
diff --git a/media-sound/grip/grip-3.6.2.ebuild b/media-sound/grip/grip-3.6.2.ebuild
new file mode 100644
index 00000000000..5f755547265
--- /dev/null
+++ b/media-sound/grip/grip-3.6.2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils flag-o-matic toolchain-funcs libtool
+
+DESCRIPTION="GTK+ based Audio CD Player/Ripper"
+HOMEPAGE="https://sourceforge.net/projects/grip/"
+SRC_URI="mirror://sourceforge/grip/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="vorbis"
+
+# lame and vorbis-tools are no real RDEPENDs. But without them
+# grip cannot convert ripped files to any format. So use them as
+# a sane default.
+RDEPEND="
+ gnome-base/libgnome
+ >=gnome-base/libgnomeui-2.2.0
+ >=media-libs/id3lib-3.8.3
+ media-sound/cdparanoia
+ media-sound/lame
+ net-misc/curl
+ >=x11-libs/gtk+-2.2:2
+ x11-libs/libX11
+ x11-libs/pango
+ x11-libs/vte:0
+ vorbis? ( media-sound/vorbis-tools )
+"
+# gnome-extra/yelp, see bug 416843
+DEPEND="
+ ${RDEPEND}
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ default
+
+ sed '/^Icon/s@grip\b@gripicon@' -i grip.desktop || die
+}
+
+src_configure() {
+ # Bug #69536
+ [[ $(tc-arch) == "x86" ]] && append-flags "-mno-sse"
+
+ strip-linguas be bg ca de en en_CA en_GB en_US es fi fr hu it ja nb nl pl_PL pt_BR ru sr vi zh_CN zh_HK zh_TW
+
+ econf
+}